package com.huimv.guowei.admin.controller;

import com.alibaba.fastjson.JSONObject;
import com.huimv.guowei.admin.utils.ProcessUtil;
import org.springframework.web.bind.annotation.*;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

@CrossOrigin
@RestController
@RequestMapping("/appleVideo")
public class TaskController {

    @GetMapping("/play")
    public String play(@RequestParam(value = "url", required = true) String url) throws IOException, InterruptedException {

        String input = url;
        System.out.println(input);
        String[] split = input.split("/");
        String name = split[4];
        System.out.println(name);
        String output = "/usr/local/nginx/html/hls/" + name + ".m3u8";
        List<String> command = new ArrayList<>();
        command.add("ffmpeg");
        command.add("-i");
        command.add(input);
        command.add("-c:v");
        command.add("copy");
        command.add("-c:a");
        command.add("copy");
        command.add("-f");
        command.add("ssegment");
        command.add("-segment_format");
        command.add("mpegts");
        command.add("-segment_list");
        command.add(output);
        command.add("-segment_time");
        command.add("10");
        command.add("/usr/local/nginx/html/hls/" + name + "%05d.ts");//
        System.out.println(command);
        String result = ProcessUtil.execute(command);
        Thread.sleep(10000);
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("url", "http://192.168.1.68:80" + "/hls/" + name + ".m3u8");
        jsonObject.put("code", Integer.valueOf(8200));
        jsonObject.put("message", "请求成功.");
        return jsonObject.toJSONString();
    }
}